Update Occupant's Delegation Permissions.

Updates the reservation permissions for a user within the organization. When a PUT request is made to this endpoint, it replaces the existing reservation permissions with the new permissions specified in the request body.
The user's permissions are defined based on several parameters.

  1. global_delegate a boolean value indicating if the primary user can reserve a room for any other individual in the organization.
  2. elegated_occupants an array of Occupant objects detailing Occupants for whom rooms can be reserved by the primary user.
  3. delegated_locations an array representing the Primary Locations of occupants for whom the primary user can reserve rooms.
  4. delegated_departments an array representing the Departments whose members the primary user can reserve on behalf of.

All fields are required in the request, with arrays being allowed to be empty. Each object in the delegated_occupants, delegated_locations, and delegated_departments arrays must contain at least one identifier (email, userID, officeID, officeName, or a department identifier respectively).
Use this endpoint to fully manage a user's delegation permissions, providing a structured way to delegate reservation privileges in a fine-grained manner.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The userID or email address for the Occupant whose reservations are being requested.

Body Params

An array of Occupant objects with their respective action parameters

JSON object representing the Occupant's delegation permissions.

boolean
required

Indicates whether the user can reserve for everyone in the organization.

delegated_occupants
array of objects
required

List of Occupant objects, representing Maptician Occupants, for whom the primary user can reserve on their behalf. Each object should contain at least one identifier (email or userID). It does not have to have both email and userID.

delegated_occupants*
delegated_locations
array of objects
required

List of Location objects, representing the Primary Locations of Occupants, for whom the primary user can reserve rooms. Each object should contain at least one identifier (OfficeName or officeID). It does not have to have both officeName and officeID.

delegated_locations*
delegated_departments
array of objects
required
delegated_departments*
Headers
string

Authorization token to access the API.

Responses

400

Bad Input Parameter

500

Unexpected Server Error

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json